typedef unsigned int word;
typedef unsigned char byte;

#include <ctype.h>
#include <stdio.h>

#include "queue.h"
#include "token.h"

// nacte hpgl povel; pokud nelze, vrati false
void GetHpglCommand(char data *command)
{
        // nacti 2 znaky povelu
        do {
                // cekej na znak povelu (preskoc parametry, carky atd.)
                while (!isalpha(command[0] = ReadChar()));

                command[1] = ReadChar();
        } while (!isalpha(command[1]));

        // preved na velka pismena
        command[0] = toupper(command[0]);
        command[1] = toupper(command[1]);
        command[2] = 0;
}

char GetHpglParameter(int data *parameter)
{
        char znak;
        char desetiny = 0;
	char plus = 1;

        *parameter = 0;
        // preskoc prazdne znaky (mezery)
        while ((znak = ReadChar()) == ' ' || znak == '\n' || znak == '\r');

        do {
                if (znak == '.')
                        desetiny = 1;

                if (znak == '-')
                        plus = -1;

                // test, zda jsou parametry
                if (isalpha(znak)) {
                        // vraci nepouzite znaky zpet
                        UnReadChar(znak);
                        return 0;
                }
                if (isdigit(znak) && !desetiny)
                        *parameter = *parameter * 10 + znak-'0';

                znak = ReadChar();

        } while (isdigit(znak) || znak == '.');

        if (isalpha(znak))
                // vraci nepouzite znaky zpet
                UnReadChar(znak);

	*parameter *= plus;

        return 1;
}
