////////////////////////
// modul pro kruznici //
////////////////////////

#include "base.h"
#include "circle.h"

#define SINSIZE	19

code unsigned int sin50[SINSIZE] = {50,50,51,52,53,55,58,61,65,71,78,87,100,118,146,193,288,574,65535};

void mngCircle(unsigned int r)
{
	TPenState OldPenState;
	int OldX, OldY;
	unsigned char i;

	if (r > 1200)
		return;

	OldPenState = PenState;
	OldX = PenX;
	OldY = PenY;
	mngPen(Up);
	mngRMove(r, 0);
	mngPen(Down);

	r *= 50;

	for (i = 0; i < SINSIZE; i++)
		mngAMove(OldX + r/sin50[i], OldY + r/sin50[SINSIZE-i-1]);
	for (i = 0; i < SINSIZE; i++)
		mngAMove(OldX - r/sin50[SINSIZE-i-1], OldY + r/sin50[i]);
	for (i = 0; i < SINSIZE; i++)
		mngAMove(OldX - r/sin50[i], OldY - r/sin50[SINSIZE-i-1]);
	for (i = 0; i < SINSIZE; i++)
		mngAMove(OldX + r/sin50[SINSIZE-i-1], OldY - r/sin50[i]);

	mngPen(Up);
	mngAMove(OldX, OldY);
	mngPen(OldPenState);
}
